libdnf-devel-0.11.1-1.mga7.i586.rpm


Advertisement

Description

libdnf-devel - Development files for libdnf

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package name libdnf-devel
Package version 0.11.1
Package release 1.mga7
Package architecture i586
Package type rpm
Installed size 247.44 KB
Download size 38.02 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Development files for libdnf.

Alternatives

Package Version Architecture Repository
libdnf-devel - - -

Requires

Name Value
devel(libgio-2.0) -
devel(libglib-2.0) -
devel(libgobject-2.0) -
devel(librepo) -
devel(librpm) -
devel(librpmio) -
devel(libsolv) -
devel(libsolvext) -
libdnf-gir1.0(x86-32) == 0.11.1-1.mga7
libdnf1(x86-32) == 0.11.1-1.mga7
pkgconfig -
pkgconfig(glib-2.0) -
pkgconfig(gobject-2.0) -
pkgconfig(librepo) -
pkgconfig(rpm) -

Provides

Name Value
devel(libdnf) -
libdnf-devel == 0.11.1-1.mga7
libdnf-devel(x86-32) == 0.11.1-1.mga7
pkgconfig(libdnf) == 0.11.1

Download

Type URL
Binary Package libdnf-devel-0.11.1-1.mga7.i586.rpm
Source Package libdnf-0.11.1-1.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install libdnf-devel rpm package:
    # urpmi libdnf-devel

Files

Path
/usr/include/libdnf/dnf-advisory.h
/usr/include/libdnf/dnf-advisorypkg.h
/usr/include/libdnf/dnf-advisoryref.h
/usr/include/libdnf/dnf-context.h
/usr/include/libdnf/dnf-db.h
/usr/include/libdnf/dnf-enums.h
/usr/include/libdnf/dnf-goal.h
/usr/include/libdnf/dnf-keyring.h
/usr/include/libdnf/dnf-lock.h
/usr/include/libdnf/dnf-package.h
/usr/include/libdnf/dnf-packagedelta.h
/usr/include/libdnf/dnf-reldep-list.h
/usr/include/libdnf/dnf-reldep.h
/usr/include/libdnf/dnf-repo-loader.h
/usr/include/libdnf/dnf-repo.h
/usr/include/libdnf/dnf-rpmts.h
/usr/include/libdnf/dnf-sack.h
/usr/include/libdnf/dnf-solution.h
/usr/include/libdnf/dnf-state.h
/usr/include/libdnf/dnf-transaction.h
/usr/include/libdnf/dnf-types.h
/usr/include/libdnf/dnf-utils.h
/usr/include/libdnf/dnf-version.h
/usr/include/libdnf/hy-goal.h
/usr/include/libdnf/hy-module-form.h
/usr/include/libdnf/hy-nevra.h
/usr/include/libdnf/hy-package.h
/usr/include/libdnf/hy-packageset.h
/usr/include/libdnf/hy-query.h
/usr/include/libdnf/hy-repo.h
/usr/include/libdnf/hy-selector.h
/usr/include/libdnf/hy-subject.h
/usr/include/libdnf/hy-types.h
/usr/include/libdnf/hy-util.h
/usr/include/libdnf/libdnf.h
/usr/lib/libdnf.so
/usr/lib/pkgconfig/libdnf.pc
/usr/share/gir-1.0/Dnf-1.0.gir
/usr/share/gtk-doc/html/libdnf/
/usr/share/gtk-doc/html/libdnf/html/common.css
/usr/share/gtk-doc/html/libdnf/html/index.htm

Changelog

2017-10-25 - ngompa <ngompa> 0.11.1-1.mga7
+ Revision: 1173651
- Upgrade to 0.11.1
- Backport patch to fix cleaning cache with versioned repo cache paths
- Backport patch to improve performance on query filters (rhbz#1500361)
- Backport patches to allow query expressions without spaces (rhbz#1480176)
2017-09-01 - tv <tv> 0.9.3-4.mga7
+ Revision: 1150549
- rebuild for new rpm
2017-08-05 - pterjan <pterjan> 0.9.3-3.mga7
+ Revision: 1135251
- Rebuild for python 3.6
+ tv <tv>
- rebuild for new python
2017-07-29 - ngompa <ngompa> 0.9.3-1.mga7
+ Revision: 1132543
- Update to 0.9.3
2017-07-02 - ngompa <ngompa> 0.9.2-1.mga6
+ Revision: 1108986
- Upgrade to 0.9.2
2017-06-12 - ngompa <ngompa> 0.9.1-1.mga6
+ Revision: 1107576
- Update to 0.9.1
2017-05-23 - ngompa <ngompa> 0.9.0-1.mga6
+ Revision: 1104146
- Upgrade to 0.9.0
2017-05-03 - ngompa <ngompa> 0.8.2-1.mga6
+ Revision: 1098838
- Upgrade to v0.8.2
2017-04-02 - ngompa <ngompa> 0.8.1-1.mga6
+ Revision: 1095673
- Update to 0.8.1
2017-03-23 - ngompa <ngompa> 0.8.0-1.mga6
+ Revision: 1094579
- Upgrade to 0.8.0

See Also

Package Description
libdnf-gir1.0-0.11.1-1.mga7.i586.rpm GObject Introspection interface description for libhif
libdnf1-0.11.1-1.mga7.i586.rpm Package library providing simplified interface to libsolv
libdockapp-devel-0.7.2-1.mga6.i586.rpm Development files for libdockapp
libdockapp3-0.7.2-1.mga6.i586.rpm A library that eases the creation of dock apps
libdogecoinconsensus-devel-1.10.0-7.mga7.i586.rpm Development files for dogecoinconsensus
libdogecoinconsensus0-1.10.0-7.mga7.i586.rpm Shared libs for dogecoinconsensus
libdolphin-devel-17.12.2-1.mga7.i586.rpm Devel stuff for dolphin
libdolphinprivate5-17.12.2-1.mga7.i586.rpm Widgets for Baloo
libdolphinvcs5-17.12.2-1.mga7.i586.rpm Widgets for Baloo
libdotconf-devel-1.3-6.mga6.i586.rpm The libraries and headers needed for dotconf development
libdotconf0-1.3-6.mga6.i586.rpm The shared libraries needed for running programs using dotconf
libdouble-conversion-devel-3.0.0-1.mga7.i586.rpm Library providing binary-decimal and decimal-binary routines for IEEE doubles
libdouble-conversion-static-devel-3.0.0-1.mga7.i586.rpm Library providing binary-decimal and decimal-binary routines for IEEE doubles
libdouble-conversion1-3.0.0-1.mga7.i586.rpm Library providing binary-decimal and decimal-binary routines for IEEE doubles
libdrak3d-2.6-1.mga6.noarch.rpm 3D desktop effects tools library
Advertisement
Advertisement